function Glambda=creaGreenlambda(f,R,X,val_x_ini)
%generazione della funzione di Green normalizzata
%
%   f          <-frequenza 
%   R          <-posizione dell'i-esimo elemento d'antenna  
%   X          <-posizione della sorgente
%   val_x_ini  <-valore della x iniziale di posizionamento dell'array
%              ->Funzione di Green
%
c=3e8;
lambda=c/f;

d_1=distance([val_x_ini 0],X);
num_1= exp(j*(2*pi/lambda)*d_1);
% funzione di Green sulla prima antenna dell'array
G_1=num_1/sqrt((2*pi/lambda)*d_1);

d=distance(R,X);
num = exp(j*(2*pi/lambda)*d);
G_real = num/sqrt((2*pi/lambda)*d);

Glambda=G_1/G_real;