function [punti,DOA]=picchiTRmusicfreq(m,d,X,Pn,ind_sens_DOA,tau,val_x_ini,f_centrale,zmin)
% trova le coordinate dei massimi dello pseudospettro
% e le DOA dei due segnali trasmessi da questi punti
[D,PSSP]=TRmusicfreq(m,d,X,tau,Pn,val_x_ini,f_centrale,zmin);

[righe,colonne]=size(X);
c=3e8;
punti=zeros(d,d);
passo=(c/f_centrale)/4;
for i=1:righe
    
    C=max(max(PSSP));
    
    [r,c]=find(PSSP==C);
    
    x=r*passo;
    
    z=c*passo+zmin;
    
    punti(i,:)=[x z];
    
    PSSP(r,c)=-Inf;
    
end

Rmatr=creaRmatr(m,val_x_ini);

[u,j]=size(punti);


for k=1:u
    
    d(k) = distance(Rmatr(ind_sens_DOA,:),punti(k,:));
    
    DOA(k)=asind(punti(k,2)/d(k));
    
end
    

