function [punti,DOA]=picchiTRmusicUWB(m,d,X,f_tap,f_centrale,Pn,ind_sens_DOA,tau,zmin,val_x_ini)
% ind_sens_DOA=indice dell'antenna dell'array rispetto alla quale 
%              viene stimata la DOA.
% punti=coordinate dei massimi dello pseudospettro.
% tau=nel caso ideale  un vettore di uno.

[D,PSSP]=TRmusicUWB(m,d,X,f_tap,f_centrale,tau,Pn,zmin,val_x_ini);

[righe,colonne]=size(X);

punti=zeros(d,d);

for i=1:righe
    
    C=max(max(PSSP));
    
    [r,c]=find(PSSP==C);
    
    x=r*passo;
    
    z=c*passo+zmin;
    
    punti(i,:)=[x z];
    
    PSSP(r,c)=-Inf;
    
end

Rmatr=creaRmatrUWB(m,f_centrale,val_x_ini);

[u,j]=size(punti);


for k=1:u
    
    d(k) = distance(Rmatr(ind_sens_DOA,:),punti(k,:));
    
    DOA(k)=asind(punti(k,2)/d(k));
    
end